Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 588652 (CVE-2016-6170)

Summary: <net-dns/bind-9.10.4_p3: Malicious primary DNS servers can crash secondaries (CVE-2016-6170)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: idl0r
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.openwall.com/lists/oss-security/2016/07/06/3
Whiteboard: B3 [glsa cve]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2016-07-12 08:36:43 UTC
From ${URL} :

It turns out that most DNS server implementations do not implement 
reasonable restrictions for zone sizes.  This allows an explicitly 
configured primary DNS server for a zone to crash a secondary DNS 
server, affecting service of other zones hosted on the same secondary 
server.

Some references:

https://lists.dns-oarc.net/pipermail/dns-operations/2016-July/015058.html
https://lists.dns-oarc.net/pipermail/dns-operations/2016-July/015075.html
https://gitlab.labs.nic.cz/labs/knot/merge_requests/541
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=790

PowerDNS is reportedly affected as well, but I did not find a public bug 
for this issue.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2016-07-14 19:47:24 UTC
https://kb.isc.org/article/AA-01390/169/CVE-2016-6170
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2016-07-16 08:53:10 UTC
CVE-2016-6170 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-6170):
  ISC BIND through 9.9.9-P1, 9.10.x through 9.10.4-P1, and 9.11.x through
  9.11.0b1 allows primary DNS servers to cause a denial of service (secondary
  DNS server crash) via a large AXFR response, and possibly allows IXFR
  servers to cause a denial of service (IXFR client crash) via a large IXFR
  response and allows remote authenticated users to cause a denial of service
  (primary DNS server crash) via a large UPDATE message.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-16 09:06:02 UTC
(In reply to Christian Ruppert (idl0r) from comment #1)
> https://kb.isc.org/article/AA-01390/169/CVE-2016-6170

Given ISC's review of the matter, it would probably be best that we address this with a GLSA discussing the workaround for administrators.  This is an inherent flaw within the protocol specifications, but of course can be administratively controlled through the implementation.  ISC is going to offer that solution soon and PowerDNS already has patches proposed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2016-10-11 18:55:40 UTC
This issue was resolved and addressed in
 GLSA 201610-07 at https://security.gentoo.org/glsa/201610-07
by GLSA coordinator Kristian Fiskerstrand (K_F).